{% extends 'base.html' %}

{% block content %}
    <main>
        <div>
            <h1>My Lists</h1>
                <p>
                    <a href="{% url 'todo_list_create' %}">Create a new list</a>
                </p>
                <p>
                    <a href="{% url 'todo_item_create' %}">Create a new item</a>
                </p>
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Number of Items</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for todo in todolist_list%}
                        <tr>
                            <td>
                                <a href="{% url 'todo_list_detail' todo.id %}">{{ todo.name }}</a>
                            </td>
                            <td> {{ todo.items.all|length }} </td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
        </div>
    </main>
{% endblock content %}
